dofile("data/scripts/lib/utilities.lua")
dofile("data/scripts/gun/procedural/gun_action_utils.lua")
dofile("data/scripts/gun/gun_actions.lua")

function get_random_from( target )
	local rnd = Random(1, #target)
	
	return tostring(target[rnd])
end

function get_random_between_range( target )
	local minval = target[1]
	local maxval = target[2]
	
	return Random(minval, maxval)
end

local entity_id = GetUpdatedEntityID()
local x, y = EntityGetTransform( entity_id )
SetRandomSeed( x, y )

local ability_comp = EntityGetFirstComponent( entity_id, "AbilityComponent" )

local wand = { }
wand.name = {"wand_x"}

--[[WAND STATS]]------------------------------------------
	wand.shuffle_deck_when_empty = 0	--nonshuffle wand = 0, shuffle wand = 1
	wand.deck_capacity = {4,20}			--number of spell slots
	wand.actions_per_round = {1,10}		--number of spells cast per click
	wand.fire_rate_wait = {0,30}		--cast delay	
	wand.reload_time = {0,30}			--recharge time
	wand.mana_max = {100,1000}			--mana
	wand.mana_charge_speed = {10,100}	--mana regen
	wand.spread_degrees = {0,20}		--spell spread in degrees	
	wand.speed_multiplier = {1,500}		--speed multiplier
	wand.actions = { }

--[[WAND CASTS]]------------------------------------------
--[[ADD_ACTION_TYPE_DRAW_MANY]]--
	--AddGunAction( entity_id, "BURST_2" )
	--AddGunAction( entity_id, "BURST_3" )
	--AddGunAction( entity_id, "BURST_4" )
	--AddGunAction( entity_id, "SCATTER_2" )
	--AddGunAction( entity_id, "SCATTER_3" )
	--AddGunAction( entity_id, "SCATTER_4" )
	--AddGunAction( entity_id, "I_SHAPE" )
	--AddGunAction( entity_id, "Y_SHAPE" )
	--AddGunAction( entity_id, "T_SHAPE" )
	--AddGunAction( entity_id, "W_SHAPE" )
	--AddGunAction( entity_id, "CIRCLE_SHAPE" )
	--AddGunAction( entity_id, "PENTAGRAM_SHAPE" )
	
--[[ADD_ACTION_TYPE_MATERIAL]]--
	--AddGunAction( entity_id, "SOILBALL" )

	--AddGunAction( entity_id, "CIRCLE_FIRE" )
	--AddGunAction( entity_id, "CIRCLE_ACID" )
	--AddGunAction( entity_id, "CIRCLE_OIL" )
	--AddGunAction( entity_id, "CIRCLE_WATER" )

	--AddGunAction( entity_id, "MATERIAL_WATER" )
	--AddGunAction( entity_id, "MATERIAL_OIL" )
	--AddGunAction( entity_id, "MATERIAL_BLOOD" )
	--AddGunAction( entity_id, "MATERIAL_ACID" )
	--AddGunAction( entity_id, "MATERIAL_CEMENT" )

	--AddGunAction( entity_id, "SEA_LAVA" )
	--AddGunAction( entity_id, "SEA_ALCOHOL" )
	--AddGunAction( entity_id, "SEA_OIL" )
	--AddGunAction( entity_id, "SEA_WATER" )
	--AddGunAction( entity_id, "SEA_ACID" )
	--AddGunAction( entity_id, "SEA_ACID_GAS" )

	--AddGunAction( entity_id, "TOUCH_GOLD" )
	--AddGunAction( entity_id, "TOUCH_WATER" )
	--AddGunAction( entity_id, "TOUCH_OIL" )
	--AddGunAction( entity_id, "TOUCH_ALCOHOL" )
	--AddGunAction( entity_id, "TOUCH_BLOOD" )
	--AddGunAction( entity_id, "TOUCH_SMOKE" )
	
--[[ADD_ACTION_TYPE_MODIFIER]]--
	--AddGunAction( entity_id, "SPREAD_REDUCE" )
	--AddGunAction( entity_id, "RECHARGE" )
	--AddGunAction( entity_id, "LIFETIME" )
	--AddGunAction( entity_id, "LIFETIME_DOWN" )
	--AddGunAction( entity_id, "MANA_REDUCE" )

	--AddGunAction( entity_id, "GRAVITY" )
	--AddGunAction( entity_id, "GRAVITY_ANTI" )
	--AddGunAction( entity_id, "SINEWAVE" )
	--AddGunAction( entity_id, "CHAOTIC_ARC" )
	--AddGunAction( entity_id, "AVOIDING_ARC" )
	--AddGunAction( entity_id, "FLY_DOWNWARDS" )
	--AddGunAction( entity_id, "FLY_UPWARDS" )
	--AddGunAction( entity_id, "HORIZONTAL_ARC" )
	--AddGunAction( entity_id, "BOUNCE" )

	--AddGunAction( entity_id, "HOMING" )
	--AddGunAction( entity_id, "HOMING_SHOOTER" )
	--AddGunAction( entity_id, "PIERCING_SHOT" )
	--AddGunAction( entity_id, "CLIPPING_SHOT" ) 	--drilling shot
	--AddGunAction( entity_id, "LIGHT_SHOT" )
	--AddGunAction( entity_id, "HEAVY_SHOT" )

	--AddGunAction( entity_id, "DAMAGE" )
	--AddGunAction( entity_id, "CRITICAL_HIT" )
	--AddGunAction( entity_id, "AREA_DAMAGE" )
	--AddGunAction( entity_id, "MATTER_EATER" )
	--AddGunAction( entity_id, "ELECTRIC_CHARGE" )
	--AddGunAction( entity_id, "FREEZE" )

	--AddGunAction( entity_id, "KNOCKBACK" )
	--AddGunAction( entity_id, "RECOIL" )
	--AddGunAction( entity_id, "RECOIL_DAMPER" )
	--AddGunAction( entity_id, "SPEED" )

	--AddGunAction( entity_id, "ROCKET_DOWNWARDS" )
	--AddGunAction( entity_id, "BOUNCE_EXPLOSION" )
	--AddGunAction( entity_id, "EXPLOSIVE_PROJECTILE" )
	--AddGunAction( entity_id, "FIREBALL_RAY" )
	--AddGunAction( entity_id, "FIREBALL_RAY_ENEMY" )
	--AddGunAction( entity_id, "GRAVITY_FIELD_ENEMY" )

	--AddGunAction( entity_id, "WATER_TO_POISON" )
	--AddGunAction( entity_id, "BLOOD_TO_ACID" )
	--AddGunAction( entity_id, "LAVA_TO_BLOOD" )
	--AddGunAction( entity_id, "TOXIC_TO_ACID" )
	--AddGunAction( entity_id, "STATIC_TO_SAND" )
	--AddGunAction( entity_id, "TRANSMUTATION" )

	--AddGunAction( entity_id, "ARC_ELECTRIC" )
	--AddGunAction( entity_id, "ARC_FIRE" )
	--AddGunAction( entity_id, "ARC_GUNPOWDER" )
	--AddGunAction( entity_id, "ARC_POISON" )

	--AddGunAction( entity_id, "UNSTABLE_GUNPOWDER" )
	--AddGunAction( entity_id, "ACID_TRAIL" )
	--AddGunAction( entity_id, "POISON_TRAIL" )
	--AddGunAction( entity_id, "OIL_TRAIL" )
	--AddGunAction( entity_id, "WATER_TRAIL" )
	--AddGunAction( entity_id, "GUNPOWDER_TRAIL" )
	--AddGunAction( entity_id, "FIRE_TRAIL" )
	--AddGunAction( entity_id, "BURN_TRAIL" )

	--AddGunAction( entity_id, "HITFX_BURNING_CRITICAL_HIT" )
	--AddGunAction( entity_id, "HITFX_CRITICAL_WATER" )
	--AddGunAction( entity_id, "HITFX_CRITICAL_OIL" )
	--AddGunAction( entity_id, "HITFX_CRITICAL_BLOOD" )
	--AddGunAction( entity_id, "HITFX_TOXIC_CHARM" )
	--AddGunAction( entity_id, "HITFX_EXPLOSION_SLIME" )
	--AddGunAction( entity_id, "HITFX_EXPLOSION_SLIME_GIGA" )
	--AddGunAction( entity_id, "HITFX_EXPLOSION_ALCOHOL" )
	--AddGunAction( entity_id, "HITFX_EXPLOSION_ALCOHOL_GIGA" )

	--AddGunAction( entity_id, "NECROMANCY" )
	--AddGunAction( entity_id, "LIGHT" )
	
--[[ADD_ACTION_TYPE_OTHER]]--
	--AddGunAction( entity_id, "OCARINA_A" )
	--AddGunAction( entity_id, "OCARINA_B" )
	--AddGunAction( entity_id, "OCARINA_C" )
	--AddGunAction( entity_id, "OCARINA_D" )
	--AddGunAction( entity_id, "OCARINA_E" )
	--AddGunAction( entity_id, "OCARINA_F" )
	--AddGunAction( entity_id, "OCARINA_GSHARP" )
	--AddGunAction( entity_id, "OCARINA_A2" )
	
--[[ADD_ACTION_TYPE_PASSIVE]]--
	--AddGunAction( entity_id, "TORCH" )
	--AddGunAction( entity_id, "TORCH_ELECTRIC" )
	--AddGunAction( entity_id, "ENERGY_SHIELD" )
	--AddGunAction( entity_id, "ENERGY_SHIELD_SECTOR" )
	
--[[ADD_ACTION_TYPE_PROJECTILE]]--
	--AddGunAction( entity_id, "AIR_BULLET" )
	--AddGunAction( entity_id, "LIGHT_BULLET" ) --spark bolt
	AddGunAction( entity_id, "LIGHT_BULLET_TRIGGER" )
	--AddGunAction( entity_id, "LIGHT_BULLET_TRIGGER_2" )
	--AddGunAction( entity_id, "LIGHT_BULLET_TIMER" )
	--AddGunAction( entity_id, "BULLET" ) 		--magic arrow
	--AddGunAction( entity_id, "BULLET_TRIGGER" )
	--AddGunAction( entity_id, "BULLET_TIMER" )
	--AddGunAction( entity_id, "HEAVY_BULLET" ) --magic bolt
	--AddGunAction( entity_id, "HEAVY_BULLET_TRIGGER" )
	--AddGunAction( entity_id, "HEAVY_BULLET_TIMER" )
	AddGunAction( entity_id, "SLOW_BULLET" )
	--AddGunAction( entity_id, "SLOW_BULLET_TRIGGER" )
	--AddGunAction( entity_id, "SLOW_BULLET_TIMER" )

	--AddGunAction( entity_id, "BUBBLESHOT" )
	--AddGunAction( entity_id, "BUBBLESHOT_TRIGGER" )
	--AddGunAction( entity_id, "RUBBER_BALL" ) 	--bouncing burst
	--AddGunAction( entity_id, "BOUNCY_ORB" ) 	--energy sphere
	--AddGunAction( entity_id, "BOUNCY_ORB_TIMER" )
	
	--AddGunAction( entity_id, "ARROW" )
	--AddGunAction( entity_id, "LANCE" )
	--AddGunAction( entity_id, "BUCKSHOT" )
	--AddGunAction( entity_id, "DISC_BULLET" )

	--AddGunAction( entity_id, "ROCKET" )
	--AddGunAction( entity_id, "ROCKET_TIER_2" )
	--AddGunAction( entity_id, "ROCKET_TIER_3" )

	--AddGunAction( entity_id, "GRENADE" )
	--AddGunAction( entity_id, "GRENADE_TRIGGER" )
	--AddGunAction( entity_id, "GRENADE_TIER_2" )
	--AddGunAction( entity_id, "GRENADE_TIER_3" )
	--AddGunAction( entity_id, "GRENADE_ANTI" )
	--AddGunAction( entity_id, "GRENADE_LARGE" )

	--AddGunAction( entity_id, "FIREBALL" )
	--AddGunAction( entity_id, "FIREBOMB" )
	--AddGunAction( entity_id, "FIREWORK" )
	--AddGunAction( entity_id, "METEOR" )
	--AddGunAction( entity_id, "NUKE" )

	--AddGunAction( entity_id, "DEATH_CROSS" )
	--AddGunAction( entity_id, "DEATH_CROSS_BIG" )

	--AddGunAction( entity_id, "BOMB" )
	--AddGunAction( entity_id, "BOMB_HOLY" )
	--AddGunAction( entity_id, "DYNAMITE" )
	--AddGunAction( entity_id, "MINE" )
	--AddGunAction( entity_id, "MINE_DEATH_TRIGGER" )
	--AddGunAction( entity_id, "PIPE_BOMB" )
	--AddGunAction( entity_id, "PIPE_BOMB_DEATH_TRIGGER" )
	--AddGunAction( entity_id, "EXPLODING_DEER" )
	--AddGunAction( entity_id, "PIPE_BOMB_DETONATOR" )

	--AddGunAction( entity_id, "LASER" )
	--AddGunAction( entity_id, "LIGHTNING" )
	--AddGunAction( entity_id, "THUNDERBALL" )
	--AddGunAction( entity_id, "TELEPORT_PROJECTILE" )

	--AddGunAction( entity_id, "DIGGER" )
	--AddGunAction( entity_id, "POWERDIGGER" )
	--AddGunAction( entity_id, "CHAINSAW" )
	--AddGunAction( entity_id, "LUMINOUS_DRILL" )
	--AddGunAction( entity_id, "LASER_LUMINOUS_DRILL" )
	--AddGunAction( entity_id, "BLACK_HOLE" )

	--AddGunAction( entity_id, "TENTACLE" )
	--AddGunAction( entity_id, "TENTACLE_TIMER" )
	--AddGunAction( entity_id, "TENTACLE_PORTAL" )

	--AddGunAction( entity_id, "HEAL_BULLET" )
	--AddGunAction( entity_id, "SPIRAL_SHOT" )
	--AddGunAction( entity_id, "FLAMETHROWER" )
	--AddGunAction( entity_id, "ACIDSHOT" )
	--AddGunAction( entity_id, "SLIMEBALL" )
	--AddGunAction( entity_id, "DARKFLAME" )

	--AddGunAction( entity_id, "PEBBLE" )
	--AddGunAction( entity_id, "SUMMON_ROCK" )
	--AddGunAction( entity_id, "SUMMON_EGG" )
	--AddGunAction( entity_id, "SUMMON_HOLLOW_EGG" )
	
	--AddGunAction( entity_id, "CRUMBLING_EARTH" )	--earthquake

	--AddGunAction( entity_id, "MIST_RADIOACTIVE" )
	--AddGunAction( entity_id, "MIST_ALCOHOL" )
	--AddGunAction( entity_id, "MIST_SLIME" )
	--AddGunAction( entity_id, "MIST_BLOOD" )
	
--[[ADD_ACTION_TYPE_STATIC_PROJECTILE]]--
	--AddGunAction( entity_id, "EXPLOSION" )
	--AddGunAction( entity_id, "FIRE_BLAST" )
	--AddGunAction( entity_id, "POISON_BLAST" )
	--AddGunAction( entity_id, "ALCOHOL_BLAST" )
	--AddGunAction( entity_id, "THUNDER_BLAST" )
	
	--AddGunAction( entity_id, "BERSERK_FIELD" )
	--AddGunAction( entity_id, "POLYMORPH_FIELD" )
	--AddGunAction( entity_id, "CHAOS_POLYMORPH_FIELD" )
	--AddGunAction( entity_id, "ELECTROCUTION_FIELD" )
	--AddGunAction( entity_id, "FREEZE_FIELD" )
	--AddGunAction( entity_id, "REGENERATION_FIELD" )
	--AddGunAction( entity_id, "TELEPORTATION_FIELD" )
	--AddGunAction( entity_id, "LEVITATION_FIELD" )

	--AddGunAction( entity_id, "SHIELD_FIELD" )
	--AddGunAction( entity_id, "PROJECTILE_TRANSMUTATION_FIELD" )
	--AddGunAction( entity_id, "PROJECTILE_THUNDER_FIELD" )
	--AddGunAction( entity_id, "PROJECTILE_GRAVITY_FIELD" )

	--AddGunAction( entity_id, "WALL_SQUARE" )
	--AddGunAction( entity_id, "WALL_VERTICAL" )
	--AddGunAction( entity_id, "WALL_HORIZONTAL" )

	--AddGunAction( entity_id, "CLOUD_WATER" )
	--AddGunAction( entity_id, "CLOUD_BLOOD" )
	--AddGunAction( entity_id, "CLOUD_ACID" )
	--AddGunAction( entity_id, "CLOUD_THUNDER" )

	--AddGunAction( entity_id, "BLACK_HOLE_BIG" )
	--AddGunAction( entity_id, "DESTRUCTION" )
	AddGunAction( entity_id, "PURPLE_EXPLOSION_FIELD" )
	--AddGunAction( entity_id, "DELAYED_SPELL" )
	
--[[ADD_ACTION_TYPE_UTILITY]]--
	--AddGunAction( entity_id, "X_RAY" )
	--AddGunAction( entity_id, "SUMMON_WANDGHOST" )
	--AddGunAction( entity_id, "LONG_DISTANCE_CAST" )

--[[PERMANENT WAND CASTS]]------------------------------------------
	--Spells added with the following line of code are always cast on click.
	--They consume no mana, but are still subject to cast and recharge delay.
	--Use the list above for spell reference!
	AddGunActionPermanent( entity_id, "OCARINA_A" )


--------------------------------------------------------------------

--local wand_action = get_random_from( wand.actions )

ComponentSetValue( ability_comp, "ui_name", get_random_from( wand.name ) )
ComponentObjectSetValue( ability_comp, "gun_config", "shuffle_deck_when_empty", wand.shuffle_deck_when_empty )
ComponentObjectSetValue( ability_comp, "gun_config", "actions_per_round", get_random_between_range( wand.actions_per_round ) )
ComponentObjectSetValue( ability_comp, "gun_config", "deck_capacity", get_random_between_range( wand.deck_capacity ) )
ComponentObjectSetValue( ability_comp, "gun_config", "reload_time", get_random_between_range( wand.reload_time ) )
ComponentObjectSetValue( ability_comp, "gunaction_config", "fire_rate_wait", get_random_between_range( wand.fire_rate_wait ) )
ComponentSetValue( ability_comp, "mana_max", get_random_between_range( wand.mana_max ) )
ComponentSetValue( ability_comp, "mana", get_random_between_range( wand.mana_max ) )
ComponentSetValue( ability_comp, "mana_charge_speed", get_random_between_range( wand.mana_charge_speed ) )
ComponentObjectSetValue( ability_comp, "gunaction_config", "spread_degrees", get_random_between_range( wand.spread_degrees ) )
ComponentObjectSetValue( ability_comp, "gunaction_config", "speed_multiplier", get_random_between_range( wand.speed_multiplier ) )

