dofile( "data/scripts/perks/perk.lua" )
dofile( "data/scripts/perks/perk_list.lua" )

function OnPlayerSpawned( player_entity ) -- this runs when player entity has been created

	if tonumber(StatsGetValue("playtime")) > 1 then
		return
	end

	local x,y = EntityGetTransform( player_entity )
	SetRandomSeed( x + 344, y - 523 )

--[[------------------------------------------------------README-------------------------------------------------------------
	
	This mod allows you to start the game with (mostly) whatever equipment you wish.
	
	By default this mod will start you off with: 
		a random potion
		a treasure chest
		a random non-shuffle grade 6 wand
		a random spell
		the Extra Perk perk
		WAND_X, an extensively customizable wand!
	
	Selecting your equipment is as easy as managing comment tags in this LUA file.
	Most of the file is already nullified or "commented out", meaning that the lines of code are either:
	
		1. Between the comment paragraph tags surrounding this README
		2. Tagged line by line with double hyphens --
		
	You only need concern yourself with the second example.
	Within each category you'll find many comment tags which precede filenames or perk effects.
	To select your starting gear, simply remove the -- tag that precedes the relevant filename or effect.
	To shelve that starting gear, replace the relevant comment tags.
	
	You may spawn as many of each category as you wish, but if you leave a lot uncommented it could get messy...
	
	Customizing WAND_X's spell pool follows the same routine, but includes an array of wand stats as well!
	Its LUA file may be found here: mods/start_with_x/files/WAND_X/wand_x_setup.lua
	
	NB: When using mods which add or modify any of these categories of equipment,
		make sure that start_with_x is below them in the mod load order.

	This mod relies on a specific file structure to function.
	If certain game files are reorganized in the future, parts of this mod may break. 
	
	]]
		
--[[-------------------------------------------------------POTIONS-----------------------------------------------------------
	
	NB: When using mods which add or modify potions, see that start_with_x is below them in the mod load order. ]]
	
	EntityLoad( "data/entities/props/physics_table.xml", x + 15, y + 0 )
	
	potion_selection = {
	
	--[[VANILLA]]
		"data/entities/items/pickup/potion.xml",	--random potion
		--"data/entities/items/pickup/potion_aggressive.xml",
		--"data/entities/items/pickup/potion_random_material.xml",
		--"data/entities/items/pickup/potion_secret.xml",
		--"data/entities/items/pickup/potion_water.xml",
	
	--[[LIQUID]]
		--"mods/start_with_x/files/liquid/acid.xml",
		--"mods/start_with_x/files/liquid/alcohol.xml",
		--"mods/start_with_x/files/liquid/berserker.xml",
		--"mods/start_with_x/files/liquid/blood.xml",
		--"mods/start_with_x/files/liquid/blood_worm.xml",
		--"mods/start_with_x/files/liquid/cement.xml",
		--"mods/start_with_x/files/liquid/fire.xml",
		--"mods/start_with_x/files/liquid/lava.xml",
		--"mods/start_with_x/files/liquid/oil.xml",
		--"mods/start_with_x/files/liquid/poison.xml",
		--"mods/start_with_x/files/liquid/slime.xml",
		--"mods/start_with_x/files/liquid/swamp.xml",
		--"mods/start_with_x/files/liquid/swamp_water.xml",
		--"mods/start_with_x/files/liquid/toxic.xml",
		--"mods/start_with_x/files/liquid/void_liquid.xml",
	
	--[[MAGIC LIQUID]]
		--"mods/start_with_x/files/magic/charm.xml",
		--"mods/start_with_x/files/magic/confusion.xml",
		--"mods/start_with_x/files/magic/creepy_liquid.xml",	--dangerous!
		--"mods/start_with_x/files/magic/hp_regeneration.xml",	--healthium
		--"mods/start_with_x/files/magic/hp_regeneration_unstable.xml",	--lively concoction		
		--"mods/start_with_x/files/magic/invisibility.xml",
		--"mods/start_with_x/files/magic/midas.xml",
		--"mods/start_with_x/files/magic/midas_precursor.xml",
		--"mods/start_with_x/files/magic/movement_faster.xml",
		--"mods/start_with_x/files/magic/polymorph.xml",
		--"mods/start_with_x/files/magic/protection_all.xml",
		--"mods/start_with_x/files/magic/rng_polymorph.xml",
		--"mods/start_with_x/files/magic/teleport.xml",
		--"mods/start_with_x/files/magic/worm_attractor.xml",
	
	--[[SOLIDS]]
		--"mods/start_with_x/files/solid/bone.xml",
		--"mods/start_with_x/files/solid/brass.xml",
		--"mods/start_with_x/files/solid/coal.xml",
		--"mods/start_with_x/files/solid/copper.xml",
		--"mods/start_with_x/files/solid/diamond.xml",
		--"mods/start_with_x/files/solid/fungi_creeping.xml",
		--"mods/start_with_x/files/solid/fungisoil.xml",
		--"mods/start_with_x/files/solid/gold.xml",
		--"mods/start_with_x/files/solid/gunpowder.xml",
		--"mods/start_with_x/files/solid/gunpowder_unstable.xml",	
		--"mods/start_with_x/files/solid/honey.xml",
		--"mods/start_with_x/files/solid/moss.xml",	
		--"mods/start_with_x/files/solid/mud.xml",
		--"mods/start_with_x/files/solid/plastic_red.xml",
		--"mods/start_with_x/files/solid/poo.xml",	
		--"mods/start_with_x/files/solid/purifying_powder.xml",	
		--"mods/start_with_x/files/solid/rotten_meat.xml",
		--"mods/start_with_x/files/solid/salt.xml",
		--"mods/start_with_x/files/solid/sand.xml",	
		--"mods/start_with_x/files/solid/silver.xml",
		--"mods/start_with_x/files/solid/soil.xml",
		--"mods/start_with_x/files/solid/steel_sand.xml",	
		--"mods/start_with_x/files/solid/sulphur.xml",
		--"mods/start_with_x/files/solid/wax.xml",	
		
	--[[MOD: KAELOS_ARCHETYPES]]	
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/items/pickup/potion_piss.xml",	
		
	--[[MOD: OTHER]]
		--refer to other modded potions here; remember to copy references over to new start_with_x versions!
	
	}

	if (potion_selection ~= nil ) then
		for i,potion_name in ipairs( potion_selection ) do
			EntityLoad( potion_name, x + 15, y - 6 )
		end
	end
	
--[[-------------------------------------------------------ITEMS-------------------------------------------------------------
	
	Some of these items are still in development or simply nonfunctional.

	NB:	When using mods which add or modify items, see that start_with_x is below them in the mod load order. ]]

	item_selection = {

	--[[ITEMS]]
		--"data/entities/items/pickup/cape.xml",	--Capes seem to serve as an alternate form of some perks.
		"data/entities/items/pickup/chest_random.xml",
		--"data/entities/items/pickup/chest_random_super.xml",
		--"data/entities/items/pickup/egg_fire.xml",
		--"data/entities/items/pickup/egg_hollow.xml",
		--"data/entities/items/pickup/egg_monster.xml",
		--"data/entities/items/pickup/egg_red.xml",
		--"data/entities/items/pickup/egg_slime.xml",
		--"data/entities/items/pickup/egg_worm.xml",
		--"data/entities/items/pickup/essence_air.xml",
		--"data/entities/items/pickup/essence_alcohol.xml",
		--"data/entities/items/pickup/essence_fire.xml",
		--"data/entities/items/pickup/essence_laser.xml",
		--"data/entities/items/pickup/essense_water.xml",
		--"data/entities/items/pickup/goldnugget.xml",
		--"data/entities/items/pickup/heart.xml",
		--"data/entities/items/pickup/heart_better.xml",
		--"data/entities/items/pickup/heart_evil.xml",
		--"data/entities/items/pickup/heart_fullhp.xml",
		--"data/entities/items/pickup/heart_fullhp_temple.xml",
		--"data/entities/items/pickup/perk.xml",
		--"data/entities/items/pickup/perk_reroll.xml",
		--"data/entities/items/pickup/spell_refresh.xml",
		--"data/entities/items/pickup/thunderstone.xml",

		--"data/entities/items/easter/druidsoccer_ball.xml",
		
		--"data/entities/_debug/knife_pickupable.xml",
		--"data/entities/_debug/spear.xml",
	
	--[[MOD: OTHER]]
		--refer to other modded items here; remember to copy references over to new start_with_x versions!
	
	}
	
	if (item_selection ~= nil ) then
		for i,item_name in ipairs( item_selection ) do
			EntityLoad( item_name, x - 50, y + 5 )
		end
	end
	
--[[-------------------------------------------------------WANDS-------------------------------------------------------------
	
	NB: When using mods which add or modify wands, see that start_with_x is below them in the mod load order. ]]

	--[[WAND_X]]
		EntityLoad( "mods/start_with_x/files/WAND_X/wand_x.xml", x - 50, y - 125 )
		--customize WAND_X here: mods/start_with_x/files/WAND_X/wand_x_setup.lua

	wand_selection = {
	
	--[[POSSIBLY-SHUFFLE]]
		--"data/entities/items/wand_level_01.xml", 
		--"data/entities/items/wand_level_01_p.xml", 
		--"data/entities/items/wand_level_02.xml", 
		--"data/entities/items/wand_level_02_p.xml", 
		--"data/entities/items/wand_level_03.xml", 
		--"data/entities/items/wand_level_03_p.xml", 
		--"data/entities/items/wand_level_04.xml", 
		--"data/entities/items/wand_level_04_p.xml", 
		--"data/entities/items/wand_level_05.xml", 
		--"data/entities/items/wand_level_05_p.xml", 
		--"data/entities/items/wand_level_06.xml", 
		--"data/entities/items/wand_level_06_p.xml", 
		
	--[[NON-SHUFFLE]]
		--"data/entities/items/wand_unshuffle_01.xml", 
		--"data/entities/items/wand_unshuffle_01_p.xml", 
		--"data/entities/items/wand_unshuffle_02.xml", 
		--"data/entities/items/wand_unshuffle_02_p.xml", 
		--"data/entities/items/wand_unshuffle_03.xml", 
		--"data/entities/items/wand_unshuffle_03_p.xml", 
		--"data/entities/items/wand_unshuffle_04.xml", 
		--"data/entities/items/wand_unshuffle_04_p.xml", 
		--"data/entities/items/wand_unshuffle_05.xml", 
		--"data/entities/items/wand_unshuffle_05_p.xml", 
		"data/entities/items/wand_unshuffle_06.xml", 
		--"data/entities/items/wand_unshuffle_06_p.xml", 
	
	--[[MISC]]
		--"data/entities/items/wand_petri.xml", 
		--"data/entities/items/starting_bomb_wand.xml", 
		--"data/entities/items/starting_bomb_wand_rng.xml", 
		--"data/entities/items/starting_wand.xml", 
		--"data/entities/items/starting_wand_rng.xml", 
		--"data/entities/_debug/testwand_laser.xml",
	
	--[[MOD: KAELOS_ARCHETYPES]]
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/BOOT/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/BOOT/wands/wand_2.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/bulwark/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/common/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/common/wands/wand_2.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/doom/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/doom/wands/wand_2.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/forceful/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pandaemonium/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pandaemonium/wands/wand_2.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pissmancer/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/pissmancer/wands/wand_2.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/prescient/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/prescient/wands/wand_2.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/sneakybeaky/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/vengeful/wands/wand_1.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/loadouts/vengeful/wands/wand_2.xml",
	
	--[[MOD: OTHER]]
		--refer to other modded wands here; remember to copy references over to new start_with_x versions!
	
	}
	
	if (wand_selection ~= nil ) then
		for i,wand_name in ipairs( wand_selection ) do
			EntityLoad( wand_name, x + 49, y - 66 )
		end
	end
	
--[[-------------------------------------------------------SPELLS-------------------------------------------------------------
	
	Not a comprehensive list! To access any spell, use WAND_X!
		
	Some of these spells are nonfunctional.
	Others are functional and simply have not been implemented in the base or even beta version.
	Also, many of these file names do not match their corresponding in-game spell names. 
	
	NB: When using mods which add or modify spells, see that start_with_x is below them in the mod load order. ]]

	spell_selection = {
	
	--[[SPELLS]]
		"data/entities/items/pickup/random_card.xml",	--random spell
		
		--"data/entities/misc/custom_cards/accelerating_shot.xml",
		--"data/entities/misc/custom_cards/acid_trail.xml",
		--"data/entities/misc/custom_cards/acidshot.xml",
		--"data/entities/misc/custom_cards/action.xml",
		--"data/entities/misc/custom_cards/action_drone.xml",
		--"data/entities/misc/custom_cards/action_light.xml",
		--"data/entities/misc/custom_cards/alcohol_blast.xml",
		--"data/entities/misc/custom_cards/arc_electric.xml",
		--"data/entities/misc/custom_cards/arc_fire.xml",
		--"data/entities/misc/custom_cards/base_damage.xml",
		--"data/entities/misc/custom_cards/base_electricity.xml",
		--"data/entities/misc/custom_cards/base_explosive.xml",
		--"data/entities/misc/custom_cards/base_high_explosive.xml",
		--"data/entities/misc/custom_cards/base_laser.xml",
		--"data/entities/misc/custom_cards/berserk.xml",
		--"data/entities/misc/custom_cards/black_hole.xml",
		--"data/entities/misc/custom_cards/black_hole_big.xml",
		--"data/entities/misc/custom_cards/blindness.xml",
		--"data/entities/misc/custom_cards/blood_trail.xml",
		--"data/entities/misc/custom_cards/bloomshot.xml",
		--"data/entities/misc/custom_cards/bomb.xml",
		--"data/entities/misc/custom_cards/bomb_holy.xml",
		--"data/entities/misc/custom_cards/bullet_slow.xml",
		--"data/entities/misc/custom_cards/burn_trail.xml",
		--"data/entities/misc/custom_cards/charm.xml",
		--"data/entities/misc/custom_cards/circleshot_a.xml",
		--"data/entities/misc/custom_cards/circleshot_b.xml",
		--"data/entities/misc/custom_cards/critical_hit.xml",
		--"data/entities/misc/custom_cards/damage.xml",
		--"data/entities/misc/custom_cards/damage_friendly.xml",
		--"data/entities/misc/custom_cards/damage_x2.xml",
		--"data/entities/misc/custom_cards/darkflame.xml",
		--"data/entities/misc/custom_cards/death_cross.xml",
		--"data/entities/misc/custom_cards/decoy.xml",
		--"data/entities/misc/custom_cards/decoy_trigger.xml",
		--"data/entities/misc/custom_cards/electric_charge.xml",
		--"data/entities/misc/custom_cards/energy_shield.xml",
		--"data/entities/misc/custom_cards/energy_shield_old.xml",
		--"data/entities/misc/custom_cards/energy_shield_sector.xml",
		--"data/entities/misc/custom_cards/explosion.xml",
		--"data/entities/misc/custom_cards/explosive_projectile.xml",
		--"data/entities/misc/custom_cards/fire_blast.xml",
		--"data/entities/misc/custom_cards/fire_trail.xml",
		--"data/entities/misc/custom_cards/fireball.xml",
		--"data/entities/misc/custom_cards/firebomb.xml",
		--"data/entities/misc/custom_cards/flamethrower.xml",
		--"data/entities/misc/custom_cards/freeze.xml",
		--"data/entities/misc/custom_cards/freeze_if_wet_shooter.xml",
		--"data/entities/misc/custom_cards/grenade.xml",
		--"data/entities/misc/custom_cards/grenade_tier_2.xml",
		--"data/entities/misc/custom_cards/grenade_tier_3.xml",
		--"data/entities/misc/custom_cards/grenade_trigger.xml",
		--"data/entities/misc/custom_cards/gunpowder_trail.xml",
		--"data/entities/misc/custom_cards/heal_bullet.xml",
		--"data/entities/misc/custom_cards/heavy_shot.xml",
		--"data/entities/misc/custom_cards/high_explosive.xml",
		--"data/entities/misc/custom_cards/icecircle.xml",
		--"data/entities/misc/custom_cards/icethrower.xml",
		--"data/entities/misc/custom_cards/knife.xml",
		--"data/entities/misc/custom_cards/lance.xml",
		--"data/entities/misc/custom_cards/laser.xml",
		--"data/entities/misc/custom_cards/levitation_projectile.xml",
		--"data/entities/misc/custom_cards/lifetime.xml",
		--"data/entities/misc/custom_cards/lightning.xml",
		--"data/entities/misc/custom_cards/mana.xml",
		--"data/entities/misc/custom_cards/mana_reduce.xml",
		--"data/entities/misc/custom_cards/material_liquid.xml",
		--"data/entities/misc/custom_cards/midas.xml",
		--"data/entities/misc/custom_cards/nuke.xml",
		--"data/entities/misc/custom_cards/oil_trail.xml",
		--"data/entities/misc/custom_cards/pink_orb.xml",
		--"data/entities/misc/custom_cards/plasma_flare.xml",
		--"data/entities/misc/custom_cards/poison_blast.xml",
		--"data/entities/misc/custom_cards/poison_trail.xml",
		--"data/entities/misc/custom_cards/polymorph.xml",
		--"data/entities/misc/custom_cards/rocket.xml",
		--"data/entities/misc/custom_cards/rocket_tier_2.xml",
		--"data/entities/misc/custom_cards/rocket_tier_3.xml",
		--"data/entities/misc/custom_cards/slimeball.xml",
		--"data/entities/misc/custom_cards/speed.xml",
		--"data/entities/misc/custom_cards/spiral_shot.xml",
		--"data/entities/misc/custom_cards/summon_rock.xml",
		--"data/entities/misc/custom_cards/teleport_projectile.xml",
		--"data/entities/misc/custom_cards/teleportation.xml",
		--"data/entities/misc/custom_cards/tentacle.xml",
		--"data/entities/misc/custom_cards/tentacle_timer.xml",
		--"data/entities/misc/custom_cards/thunder_blast.xml",
		--"data/entities/misc/custom_cards/thunderball.xml",
		--"data/entities/misc/custom_cards/tnt.xml",
		--"data/entities/misc/custom_cards/torch.xml",
		--"data/entities/misc/custom_cards/torch_electric.xml",
		--"data/entities/misc/custom_cards/unstable_gunpowder.xml",
		--"data/entities/misc/custom_cards/water_trail.xml",
		--"data/entities/misc/custom_cards/xray.xml",
	
	--[[MOD: KAELOS_ARCHETYPES]]
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/cloud_piss.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/piss_rip.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/piss_trail.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/sea_piss.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/summon_chest.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/summon_knife.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/summon_things.xml",
		--"mods/Kaelos_Archetypes/files/K_Archetypes/entities/misc/custom_cards/summon_things_bootable.xml",
	
	--[[MOD: OTHER]]
		--refer to other modded spells here; remember to copy references over to new start_with_x versions!
	
	}
	
	if (spell_selection ~= nil ) then
		for i,spell_name in ipairs( spell_selection ) do
			EntityLoad( spell_name, x + 49, y + 0 )
		end
	end
	
--[[-------------------------------------------------------PERKS-------------------------------------------------------------	
	
	The effects of stackable perks are amplified depending on how many of the same perk you have.
	I've included 2 copies for each stackable perk, but you can add more if you want to go full bonkers mode.
	
	NB:	When using mods which add or modify perks, see that start_with_x is below them in the mod load order. ]]

	local perk_selection = {
	
	--[[STACKABLE]]
		--"CRITICAL_HIT",
		--"CRITICAL_HIT",
		--"CRITICAL_HIT",
		--"STRONG_KICK",
		--"STRONG_KICK",
		--"STRONG_KICK",
		--"ATTACK_FOOT",	--LUKKI MUTATION
		--"ATTACK_FOOT",	--LUKKI MUTATION
		--"ATTACK_FOOT",	--LUKKI MUTATION
		--"EXTRA_HP",
		--"EXTRA_HP",
		--"EXTRA_HP",
		--"EXTRA_MONEY",
		--"EXTRA_MONEY",
		--"EXTRA_MONEY",
		--"EXTRA_MONEY_TRICK_KILL",
		--"EXTRA_MONEY_TRICK_KILL",
		--"EXTRA_MONEY_TRICK_KILL",
		--"HOVER_BOOST",
		--"HOVER_BOOST",
		--"HOVER_BOOST",
		--"MOVEMENT_FASTER",
		--"MOVEMENT_FASTER",
		--"MOVEMENT_FASTER",
		--"LOW_GRAVITY",
		--"LOW_GRAVITY",
		--"LOW_GRAVITY",
		--"SPEED_DIVER",
		--"SPEED_DIVER",
		--"SPEED_DIVER",
		--"GLOBAL_GORE",	--MORE BLOOD
		--"GLOBAL_GORE",	--MORE BLOOD
		--"GLOBAL_GORE",	--MORE BLOOD
	
	--[[OFFENSE]]
		--"EXPLODING_CORPSES",
		--"GLASS_CANNON",
		--"REVENGE_EXPLOSION",
		--"REVENGE_TENTACLE",
	
	--[[DEFENSE]]
		--"SAVING_GRACE",
		--"VAMPIRISM",
		--"HEARTS_MORE_EXTRA_HP",	
		--"RESPAWN",	--EXTRA LIFE	
		--"PROTECTION_FIRE",
		--"PROTECTION_RADIOACTIVITY",
		--"PROTECTION_EXPLOSION",
		--"PROTECTION_MELEE",
		--"PROTECTION_ELECTRICITY",
		--"TELEPORTITIS",
		--"STAINLESS_ARMOUR",	
		--"BLEED_SLIME",	--also confers 40% projectile resistance
		--"BLEED_OIL",	--also confers 40% explosion resistance
		--"SHIELD",
		--"PROJECTILE_REPULSION",	--also confers 26% projectile weakness
	
	--[[SPELL MODIFIERS]]
		--"PROJECTILE_HOMING",
		--"PROJECTILE_HOMING_SHOOTER",	--BOOMERANG
		--"EXTRA_KNOCKBACK",
		--"LOWER_SPREAD",
		--"BOUNCE",
	
	--[[MISC]]
		--"EDIT_WANDS_EVERYWHERE",
		--"ELECTRICITY",
		--"BREATH_UNDERWATER",
		--"REPELLING_CAPE",
		--"INVISIBILITY",
		--"REMOVE_FOG_OF_WAR",	--ALL SEEING EYE
		--"WORM_ATTRACTOR",
		--"WORM_DETRACTOR",
		--"ABILITY_ACTIONS_MATERIALIZED",	--THROWABLE BOMBS
		--"ATTRACT_ITEMS",
		--"GENOME_MORE_HATRED",
		--"GENOME_MORE_LOVE",
		--"PLAGUE_RATS",
		--"FREEZE_FIELD",
		--"DISSOLVE_POWDERS",
		"EXTRA_PERK",
		--"PERKS_LOTTERY",

		--"MYSTERY_EGGPLANT",	--???
		--"RANDOM_ALLIES",	--does not work... yet
	
	--[[MOD: KAELOS_ARCHETYPES]]
		--"BLEED_PISS",
		--"BOOT_OF_DESTINY",
	
	--[[MOD: OTHER]]
		--refer to other modded perks here; remember to copy references over to new start_with_x versions!
	
	}
	
	if ( perk_selection ~= nil ) then
		for i,perk_name in ipairs( perk_selection ) do
			local perk_entity = perk_spawn( x, y, perk_name )
			if ( perk_entity ~= nil ) then
				perk_pickup( perk_entity, player_entity, EntityGetName( perk_entity ), false, false )
			end
		end
	end
		
end

--Kælos / DEC 14, 2019